Bug 29468 - Installer crashes with error message
Summary: Installer crashes with error message
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-25 22:54 UTC by Tim Thome
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-27 23:25:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Thome 2001-02-25 22:54:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)


Installer Crashed

Reproducible: Always
Steps to Reproduce:
1.Ran Autoboot.bat on IBM300GL
2.Create two partions using disk druid the first partion is 1540MB the 
second partition is 64MB all set at the "/".
3.Entered root password and started installation
	

Actual Results:  Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in 
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "fstab.py", line 715, in mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 1580512
fsystem: ext2
self: <fstab.GuiFstab instance at 84989e0>
msg: Invalid argument
doFormat: 0
errno: 22
device: hda1
instPath: /mnt/sysimage
mntpoint: /

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Expected Results:  Should have installed I guess?

Comment 1 Michael Fulbright 2001-02-26 04:13:19 UTC
The dump indicates you did not choose format the '/' partitoin. If this is the
case please try the install again, selecting to format this partition.

Comment 2 Tim Thome 2001-02-26 16:42:29 UTC
Please forgive my ignorance but I thought that when I specified how I wanted my 
partitions setup that the next step would be formatting of the "/".  Should I 
be doing something else prior to using AUTOBOOT?  Should I use FIPS to do the 
formatting.  Again, please forgive my ignorance this is the first time I've 
used LINUX at all.  I'm an MCSE (again, please don't hold it against me).  I 
want to see what all this fuss is about with LINUX.  If I can get more out of 
LINUX than I can paying for Microsoft products for our company then LINUX we 
will use.  Again, any help would be appreciated.

Tim Thome
IT Manager
Global Performance

Comment 3 Michael Fulbright 2001-02-27 18:13:28 UTC
After you partition your system using disk druid, a screen should appear asking
you which partitions you want to format. Make sure they are all checked on.

Comment 4 Michael Fulbright 2001-04-02 19:59:56 UTC
Closing due to inactivity - please reopen if you have anything to add to the bug
report.


Note You need to log in before you can comment on or make changes to this bug.